Bug 429600 - alllows checking 'encrypt' for RAID members... doesn't actually do it
alllows checking 'encrypt' for RAID members... doesn't actually do it
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-01-21 16:17 EST by Bill Nottingham
Modified: 2014-03-16 23:12 EDT (History)
1 user (show)

See Also:
Fixed In Version: anaconda-11.4.0.67-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 18:04:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-01-21 16:17:31 EST
Description of problem:

anaconda offers 'Encrypt' for RAID members. It then asks for a passphrase for
these members. AFAICT, it doesn't actually actually encrypt them.

Version-Release number of selected component (if applicable):

rawhide-20080121
Comment 1 Bill Nottingham 2008-01-21 16:27:13 EST
Actually, we do write out the /dev/sdaX members in /etc/crypttab, at least.
Which then causes rc.sysinit to try and bring them up after we've already
started the array, decrypted the main array, and used it as a PV.
Comment 2 Jesse Keating 2008-04-01 16:24:22 EDT
Dave, any chance at fixing this up before the final freeze?
Comment 3 David Lehman 2008-04-02 11:53:28 EDT
Yes, absolutely, if 8 April is indeed the date. I expect it to be fixed today.
Comment 4 David Lehman 2008-04-07 18:04:30 EDT
Fixes are in mkinitrd-6.0.42-1 and anaconda-11.4.0.67-1. First tree containing
both of these packages should support encrypted RAID members.

Note You need to log in before you can comment on or make changes to this bug.